services:
    k2d:
        container_name: k2d
        env_file: 
            - .env
        image: portainer/k2d:1.0.0-alpha
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        ports:
          - 6443:6443
        restart: always
        privileged: true
        volumes:
            - /var/run/docker.sock:/var/run/docker.sock
            - store:/var/lib/k2d

networks:
    traefik:
        name: traefik
        external: true

volumes:
    store:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/k2d_store
